Retrieve TransactionType - m3ter Documentation
Retrieve TransactionType
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
Status Codes
- 200: Application/json - Returns the specified TransactionType
- 4XX: Error message
- 5XX: Server error
JSON Structure
{
"id": "<string>",
"version": 123,
"code": "<string>",
"name": "<string>",
"archived": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
m3ter supports machine-to-machine authentication using the clientCredentials OAuth2 flow. The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
- orgId: string (required) - The unique identifier (UUID) of your Organization.
- id: string (required) - The unique identifier (UUID) of the TransactionType to retrieve.